<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") {// separa por tipo de utilizador
  require('headersubsubUsers.inc');
  require('menusubsubUsers.inc');
}
else {
  require('headersubsubAdmins.inc');
  require('menusubsubAdmins.inc');
}
?>


<hr/>



<?php
require('loginsub.php');
?>


<center>
<h3 class="maketitle">Geometric Figure Details</h3>
</center>

<hr/>

<?php
$argumento = $_GET['argumento'];

// cria uma pesquisa - a figure (JPEG) é tratada à parte
$sqlFig = "SELECT teoId,drawerId,code,codeXML,dateSubmission,userId,
                  bibref,figureSVG
             FROM figures
            WHERE figureId='$argumento'";
 
$resultadoFig = mysql_query($sqlFig,$ligacao); 
$ncamposFig =mysql_num_fields($resultadoFig); 
$linhaFig = mysql_fetch_assoc($resultadoFig); 

$pThmId          = trim($linhaFig['teoId']);  
$pDrwId          = trim($linhaFig['drawerId']);  
$pCode           = trim($linhaFig['code']); 
$pCodeXML        = trim($linhaFig['codeXML']); 
$pDateSubmission = trim($linhaFig['dateSubmission']);  
$pUserId         = trim($linhaFig['userId']);  
$pBibref         = trim($linhaFig['bibref']);  
$pFigureSVG      = trim($linhaFig['figureSVG']); 


// Obtém o nome do Teorema
$sqlThm = "SELECT teoName
             FROM theorems
            WHERE teoId='$pThmId'";
$resultadoThm = mysql_query($sqlThm,$ligacao);
$linhaThm = mysql_fetch_assoc($resultadoThm);


// Obtém o nome do Desenhador
$sqlDrw = "SELECT name,version
             FROM drawers
            WHERE drawerId='$pDrwId'";
$resultadoDrw = mysql_query($sqlDrw,$ligacao);
$linhaDrw = mysql_fetch_assoc($resultadoDrw);

// Obtém o identificador do Utilizador
$sqlUsr = "SELECT name,email
             FROM users
            WHERE userId='$pUserId'";
$resultadoUsr = mysql_query($sqlUsr,$ligacao);
$linhaUsr = mysql_fetch_assoc($resultadoUsr);


$pThmName    = trim($linhaThm['teoName']);

$pDrwName    = trim($linhaDrw['name']);
$pDrwVersion = trim($linhaDrw['version']);

$pUserName   = trim($linhaUsr['name']);
$pUserEmail  = trim($linhaUsr['email']);

// Para que vários utilizadores possam, simultaneamente, obter
// diferentes relatório é necessário adicionar ao nome do ficheiro a
// identificação do utilizador que o está a pedir.

$vNameTXT = 'figure'.$pUserId.'.txt';

// Escreve o ficheiro "txt" referente ao código
ob_start();
print $pCode."\n";
$texfile=fopen($vNameTXT,"w");
fwrite($texfile,ob_get_contents()); 
fclose($texfile); 
ob_end_clean(); 



// Escreve o ficheiro "xml" referente à descrição
$vNameXML = 'figure'.$pUserId.'.xml';

$texfileXML=fopen($vNameXML,"w");
fwrite($texfileXML,$pCodeXML); 
fclose($texfileXML); 

// Escreve o ficheiro "svg" referente à descrição
$vNameSVG = 'figure'.$pUserId.'.svg';

$texfileSVG=fopen($vNameSVG,"w");
fwrite($texfileSVG,$pFigureSVG); 
fclose($texfileSVG); 

echo "<!-- ficha -->";
echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
echo "<tr>";
echo "<td width='100%' colspan='6' align='center'><span class='titulo'>Geometric Figures Info</span></td>";
echo "</tr>";
echo "<tr>";
echo "<tr>";
echo "<td width='16.6%'><span class='ficha'>Theorem Id</span></td>";
echo "<td width='16.6%'>$pThmId</td>";
echo "<td width='16.6%'><span class='ficha'>Theorem Name</span></td>";
echo "<td width='50%' colspan='3'>$pThmName</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='16.6%'><span class='ficha'>Drawer Name</span></td>";
echo "<td width='33.3%' colspan='2'>$pDrwName</td>";
echo "<td width='16.6%'><span class='ficha'>Drawer Version</span></td>";
echo "<td width='33.3%' colspan='2'>$pDrwVersion</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='16.6%' colspan='1'><span class='ficha'>Code</span></td>";
echo "<td width='16.6%' colspan='1'><a href='$vNameTXT'>figure.txt</a>\n"; 
echo "<td width='50.1%' colspan='3'><span class='ficha'>Description of the construction in natural language</span>\n";
echo "<td width='16.6%' colspan='1'><a href='$vNameXML'>figure.xml</a></td>\n";
echo "</tr>";
echo "<tr>";
echo "<tr>";
echo "<td width='16.6%' colspan='1'><span class='ficha'>Figure (JPEG format)</span></td>";
echo "<td width='75%' colspan='6'><img src='view_imageBD.php?argumento=$argumento' alt='No Figure'></td>";
echo "</tr>";
echo "<tr>";
echo "<td width='16.6%' colspan='1'><span class='ficha'>Figure (SVG format)</span></td>";
echo "<td width='75%' colspan='6'><a href='$vNameSVG'>figure.svg</a></td>";
echo "</tr>";
echo "<tr>";

echo "<tr>"; 
echo "<td width='16.6%' colspan='1'><span class='ficha'>Date of Submission</span></td>";
echo "<td width='33.3%' colspan='2'>$pDateSubmission</td>"; 
echo "<td width='33.3%' colspan='2'>Bibliographic Reference</td>"; 
echo "<td width='16.6%' colspan='1'>$pBibref</td>"; 
echo "</tr>";
echo "<tr>";
echo "<td width='16.6%' colspan='1'><span class='ficha'>Contributor's Name</span></td>";
echo "<td width='83.4%' colspan='5'>$pUserName</td>";
//echo "<td width='16.6%' colspan='1'><span class='ficha'>Email</span></td>";
//echo "<td width='33.3%' colspan='2'>$pUserEmail</td>";
echo "</tr>";
echo "</table>";
?>

<hr/>

<?php
  require('footer.inc');
?>
